(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(Info-additional-directory-list (quote ("/usr/local/share/info" "~/gcl-info/")))
 '(TeX-auto-save t)
 '(TeX-command-extra-options "\"-shell-escape\"")
 '(TeX-parse-self t)
 '(ansi-color-faces-vector
   [default default default italic underline success warning error])
 '(ansi-color-names-vector
   ["#002b36" "#dc322f" "#859900" "#b58900" "#268bd2" "#d33682" "#2aa198" "#839496"])
 '(async-bytecomp-package-mode t)
 '(auth-sources (quote ("~/.authinfo.gpg")))
 '(auto-revert-use-notify nil)
 '(blink-cursor-mode nil)
 '(browse-url-browser-function (quote kill-url))
 '(c-basic-offset 4)
 '(c-default-style "linux")
 '(compilation-message-face (quote default))
 '(compilation-scroll-output t)
 '(css-indent-offset 2)
 '(cua-global-mark-cursor-color "#2aa198")
 '(cua-normal-cursor-color "#839496")
 '(cua-overwrite-cursor-color "#b58900")
 '(cua-read-only-cursor-color "#859900")
 '(custom-file "~/.emacs.d/config.d/custom.el")
 '(custom-safe-themes
   (quote
    ("c433c87bd4b64b8ba9890e8ed64597ea0f8eb0396f4c9a9e01bd20a04d15d358" "c5d6d43251953cea30a007acf7a6fbca71384558a11fe3d95953ac056a8510dc" "cd03a600a5f470994ba01dd3d1ff52d5809b59b4a37357fa94ca50a6f7f07473" "3ac266781ee0ac3aa74a6913a1506924cad669f111564507249f0ffa7c5e4b53" "71ecffba18621354a1be303687f33b84788e13f40141580fa81e7840752d31bf" "c74e83f8aa4c78a121b52146eadb792c9facc5b1f02c917e3dbb454fca931223" "c5a044ba03d43a725bd79700087dea813abcb6beb6be08c7eb3303ed90782482" "3a727bdc09a7a141e58925258b6e873c65ccf393b2240c51553098ca93957723" "d677ef584c6dfc0697901a44b885cc18e206f05114c8a3b7fde674fce6180879" "8aebf25556399b58091e533e455dd50a6a9cba958cc4ebb0aab175863c25b9a4" "e16a771a13a202ee6e276d06098bc77f008b73bbac4d526f160faa2d76c1dd0e" default)))
 '(default-frame-alist (quote ((font . "Fira Code"))))
 '(display-time-24hr-format t)
 '(display-time-day-and-date t)
 '(display-time-mode t)
 '(elfeed-feeds
   (quote
    ("https://lwn.net/headlines/rss" "https://news.ycombinator.com/rss" "http://planet.lisp.org/rss20.xml")))
 '(epg-gpg-program "gpg2")
 '(erc-autojoin-channels-alist nil)
 '(erc-autojoin-mode nil)
 '(erc-email-userid "azra-freenode@azrazalea.net")
 '(erc-enable-logging nil)
 '(erc-fill-column 100)
 '(erc-fill-mode t)
 '(erc-interpret-mirc-color t)
 '(erc-join-buffer (quote bury))
 '(erc-kill-buffer-on-part t)
 '(erc-kill-queries-on-quit t)
 '(erc-kill-server-buffer-on-quit t)
 '(erc-modules
   (quote
    (autojoin button completion fill irccontrols list match menu move-to-prompt netsplit networks noncommands readonly ring services stamp spelling track)))
 '(erc-networks-mode t)
 '(erc-nick "azrazalea")
 '(erc-port 65523)
 '(erc-prompt-for-nickserv-password nil)
 '(erc-prompt-for-password nil)
 '(erc-server "azrazalea.net")
 '(erc-services-mode t)
 '(erc-track-faces-priority-list
   (quote
    (erc-error-face erc-current-nick-face erc-keyword-face erc-nick-msg-face erc-direct-msg-face erc-dangerous-host-face erc-prompt-face)))
 '(erc-track-priority-faces-only (quote all))
 '(erc-user-full-name "Lily Carpenter")
 '(eshell-cmpl-compare-entry-function (quote string-lessp))
 '(fci-rule-color "#073642")
 '(fill-column 80)
 '(fortune-file "/usr/share/games/fortunes/")
 '(gnus-alias-allow-forward-as-reply t)
 '(gnus-alias-default-identity "personal")
 '(gnus-alias-identity-alist
   (quote
    (("personal" "" "\"Lily Carpenter\" <azra@azrazalea.net>" "" nil "" "")
     ("personal gmail" "" "\"Lily Carpenter\" <azrazalea@gmail.com>" "" nil "" "")
     ("lily" "" "\"Lily Carpenter\" <lily@azrazalea.net>" "" nil "" ""))))
 '(gnus-secondary-select-methods
   (quote
    ((nnml "")
     (nnimap "azrazalea-gmail"
             (nnimap-address "imap.gmail.com")
             (nnimap-server-port "imaps")
             (nnimap-stream ssl)))))
 '(gnus-select-method
   (quote
    (nnimap "azra-azrazalea.net"
            (nnimap-address "mail.azrazalea.net")
            (nnimap-server-port "imaps")
            (nnimap-stream ssl))))
 '(gnus-sum-thread-tree-false-root "")
 '(gnus-sum-thread-tree-indent " ")
 '(gnus-sum-thread-tree-leaf-with-other "├► ")
 '(gnus-sum-thread-tree-root "")
 '(gnus-sum-thread-tree-single-leaf "╰► ")
 '(gnus-sum-thread-tree-vertical "│")
 '(gnus-summary-line-format
   "%U%R%z %(%&user-date class=\"comment\">;  %-15,15f  %B%s%)
")
 '(gnus-summary-thread-gathering-function (quote gnus-gather-threads-by-references))
 '(gnus-thread-sort-functions (quote (gnus-thread-sort-by-date)))
 '(gnus-user-date-format-alist (quote ((t . "%Y-%m-%d %H:%M"))))
 '(helm-M-x-fuzzy-match t)
 '(helm-buffers-fuzzy-matching t)
 '(helm-ff-file-name-history-use-recentf t)
 '(helm-ff-search-library-in-sexp t)
 '(helm-move-to-line-cycle-in-source t)
 '(helm-recentf-fuzzy-match t)
 '(helm-scroll-amount 8)
 '(helm-split-window-in-side-p t)
 '(highlight-changes-colors (quote ("#d33682" "#6c71c4")))
 '(highlight-symbol-colors
   (--map
    (solarized-color-blend it "#fdf6e3" 0.25)
    (quote
     ("#b58900" "#2aa198" "#dc322f" "#6c71c4" "#859900" "#cb4b16" "#268bd2"))))
 '(highlight-symbol-foreground-color "#586e75")
 '(highlight-tail-colors
   (quote
    (("#073642" . 0)
     ("#546E00" . 20)
     ("#00736F" . 30)
     ("#00629D" . 50)
     ("#7B6000" . 60)
     ("#8B2C02" . 70)
     ("#93115C" . 85)
     ("#073642" . 100))))
 '(hl-bg-colors
   (quote
    ("#DEB542" "#F2804F" "#FF6E64" "#F771AC" "#9EA0E5" "#69B7F0" "#69CABF" "#B4C342")))
 '(hl-fg-colors
   (quote
    ("#fdf6e3" "#fdf6e3" "#fdf6e3" "#fdf6e3" "#fdf6e3" "#fdf6e3" "#fdf6e3" "#fdf6e3")))
 '(indent-tabs-mode nil)
 '(inf-ruby-default-implementation "pry")
 '(inhibit-startup-screen t)
 '(js-indent-level 2)
 '(js2-basic-offset 2)
 '(js2-bounce-indent-p nil)
 '(js2-global-externs
   (quote
    ("beforeEach" "describe" "it" "angular" "_" "inject" "expect" "module")))
 '(js2-mode-indent-ignore-first-tab t)
 '(magit-commit-arguments nil)
 '(magit-default-tracking-name-function (quote magit-default-tracking-name-branch-only))
 '(magit-diff-use-overlays nil)
 '(magit-log-arguments (quote ("--graph" "--decorate" "--show-signature" "-n256")))
 '(magit-tag-arguments (quote ("--sign")))
 '(magit-use-overlays nil)
 '(menu-bar-mode nil)
 '(message-send-mail-function (quote smtpmail-multi-send-it))
 '(mouse-wheel-progressive-speed t)
 '(mouse-wheel-scroll-amount (quote (6 ((shift) . 6))))
 '(nrepl-message-colors
   (quote
    ("#dc322f" "#cb4b16" "#b58900" "#546E00" "#B4C342" "#00629D" "#2aa198" "#d33682" "#6c71c4")))
 '(org-agenda-files (quote ("~/org/home.org")))
 '(org-babel-load-languages (quote ((dot . t) (sh . t))))
 '(org-log-done t)
 '(org-src-fontify-natively t)
 '(org-todo-keywords
   (quote
    ((sequence "TODO" "PROGRESS" "REVIEW" "|" "DONE" "ABORTED"))))
 '(package-archives
   '(("melpa" . "https://melpa.org/packages/")
     ("gnu" . "https://elpa.gnu.org/packages/")))
 '(package-selected-packages
   (quote
    (wttrin sly rust-mode inf-ruby nlinum helm flycheck clojure-mode async yasnippet yari yaml-mode web-mode w3m use-package undo-tree twittering-mode toml-mode tide sws-mode solarized-theme smtpmail-multi smartparens smart-mode-line sly-company shen-mode scss-mode sane-term ruby-electric ruby-block rubocop rspec-mode robe reverse-theme refheap rbenv rainbow-identifiers rainbow-delimiters pkg-info-dummy-package php-mode paradox notify nlinum-relative multi-term markdown-mode magit macrostep lua-mode leuven-theme less-css-mode json-mode js2-mode jade-mode info+ helm-projectile helm-company helm-ag haml-mode go-mode gnus-desktop-notify gnus-alias gitignore-mode gitconfig-mode gitattributes-mode geiser exec-path-from-shell elfeed cyberpunk-theme company-quickhelp column-enforce-mode color-theme cider cargo auctex alchemist ag ace-jump-mode 4clojure)))
 '(paradox-github-token t)
 '(pos-tip-background-color "#eee8d5")
 '(pos-tip-foreground-color "#586e75")
 '(projectile-completion-system (quote helm))
 '(projectile-enable-caching t)
 '(projectile-global-mode t)
 '(projectile-switch-project-action (quote projectile-dired))
 '(projectile-use-git-grep t)
 '(rainbow-identifiers-choose-face-function (quote rainbow-identifiers-cie-l*a*b*-choose-face))
 '(rainbow-identifiers-cie-l*a*b*-saturation 50)
 '(reftex-plug-into-AUCTeX t)
 '(require-final-newline t)
 '(rspec-use-rake-when-possible t)
 '(rspec-use-spring-when-possible nil)
 '(rspec-use-zeus-when-possible nil)
 '(ruby-block-highlight-toggle t)
 '(ruby-deep-arglist nil)
 '(ruby-deep-indent-paren nil)
 '(safe-local-variable-values
   (quote
    ((Package . CLIM-CLX)
     (indent-tabs)
     (Lowercase . Yes)
     (Base . 10)
     (Package . CLIM-DEMO)
     (Syntax . ANSI-Common-Lisp)
     (Package . MCCLIM-TRUETYPE)
     (Package . CLIM-INTERNALS)
     (Syntax . Common-Lisp)
     (eval modify-syntax-entry 43 "'")
     (eval modify-syntax-entry 36 "'")
     (eval modify-syntax-entry 126 "'")
     (bug-reference-bug-regexp . "<https?://\\(debbugs\\|bugs\\)\\.gnu\\.org/\\([0-9]+\\)>")
     (TeX-command-extra-options . "-shell-escape"))))
 '(sane-term-shell-command "zsh")
 '(save-place t nil (saveplace))
 '(scroll-bar-mode nil)
 '(scroll-conservatively 75)
 '(scroll-step 1)
 '(scss-compile-at-save nil)
 '(send-mail-function (quote smtpmail-multi-send-it))
 '(show-paren-mode t)
 '(size-indication-mode t)
 '(smartrep-mode-line-active-bg (solarized-color-blend "#859900" "#073642" 0.2))
 '(sml/name-width 35)
 '(sml/theme (quote respectful))
 '(smtpmail-multi-accounts
   (quote
    ((Personal\ Gmail "azrazalea" "smtp.gmail.com" 587 nil nil nil nil nil)
     (Personal "azra" "mail.azrazalea.net" 587 nil starttls nil nil nil))))
 '(smtpmail-multi-associations
   (quote
    (("gmail.com" Personal\ Gmail)
     ("azrazalea.net" Personal))))
 '(smtpmail-multi-default-account (quote Personal))
 '(smtpmail-smtp-server "mail.azrazalea.net")
 '(smtpmail-smtp-service 587)
 '(smtpmail-smtp-user "azra")
 '(smtpmail-stream-type (quote ssl))
 '(socks-server (quote ("default" "localhost" 9999 5)))
 '(sp-lisp-modes
   (quote
    (cider-repl-mode clojure-mode clojurec-mode clojurescript-mode clojurex-mode common-lisp-mode emacs-lisp-mode eshell-mode geiser-repl-mode inf-clojure-mode inferior-emacs-lisp-mode inferior-lisp-mode inferior-scheme-mode lisp-interaction-mode lisp-mode monroe-mode racket-mode racket-repl-mode scheme-interaction-mode scheme-mode slime-repl-mode stumpwm-mode lfe-mode)))
 '(term-bind-key-alist
   (quote
    (("C-c C-c" . term-interrupt-subjob)
     ("C-p" . previous-line)
     ("C-n" . next-line)
     ("C-s" . isearch-forward)
     ("C-r" . isearch-backward)
     ("C-m" . term-send-raw)
     ("M-f" . term-send-forward-word)
     ("M-b" . term-send-backward-word)
     ("M-o" . term-send-backspace)
     ("M-p" . term-send-up)
     ("M-n" . term-send-down)
     ("M-M" . term-send-forward-kill-word)
     ("M-N" . term-send-backward-kill-word)
     ("M-r" . term-send-reverse-search-history)
     ("M-," . term-send-input)
     ("M-." . comint-dynamic-complete)
     ("C-c C-j" . term-line-mode)
     ("C-c C-k" . term-char-mode)
     ("C-c C-e" . term-send-escape))))
 '(term-default-bg-color (face-background (quote default)))
 '(term-default-fg-color (face-foreground (quote default)))
 '(tool-bar-mode nil)
 '(tramp-default-method "ssh" nil (tramp))
 '(typescript-indent-level 2)
 '(uniquify-buffer-name-style (quote forward) nil (uniquify))
 '(use-package-always-ensure t)
 '(user-full-name "Lily Carpenter")
 '(user-mail-address "")
 '(vc-annotate-background nil)
 '(vc-annotate-background-mode nil)
 '(vc-annotate-color-map
   (quote
    ((20 . "#dc322f")
     (40 . "#CF4F1F")
     (60 . "#C26C0F")
     (80 . "#b58900")
     (100 . "#AB8C00")
     (120 . "#A18F00")
     (140 . "#989200")
     (160 . "#8E9500")
     (180 . "#859900")
     (200 . "#729A1E")
     (220 . "#609C3C")
     (240 . "#4E9D5B")
     (260 . "#3C9F79")
     (280 . "#2aa198")
     (300 . "#299BA6")
     (320 . "#2896B5")
     (340 . "#2790C3")
     (360 . "#268bd2"))))
 '(vc-annotate-very-old-color nil)
 '(visible-bell t)
 '(web-mode-code-indent-offset 2)
 '(web-mode-css-indent-offset 2)
 '(web-mode-enable-auto-closing t)
 '(web-mode-enable-auto-indentation t)
 '(web-mode-enable-auto-opening t)
 '(web-mode-enable-auto-pairing nil)
 '(web-mode-enable-auto-quoting t)
 '(web-mode-enable-current-element-highlight t)
 '(web-mode-markup-indent-offset 2)
 '(weechat-color-list
   (quote
    (unspecified "#002b36" "#073642" "#990A1B" "#dc322f" "#546E00" "#859900" "#7B6000" "#b58900" "#00629D" "#268bd2" "#93115C" "#d33682" "#00736F" "#2aa198" "#839496" "#657b83")))
 '(whitespace-style (quote (face empty tabs trailing)))
 '(woman-bold-headings t)
 '(woman-fill-column (fixed-buffer-width))
 '(woman-fill-frame t)
 '(wttrin-default-cities (quote ("63043" "65802")))
 '(xterm-color-names
   ["#eee8d5" "#dc322f" "#859900" "#b58900" "#268bd2" "#d33682" "#2aa198" "#073642"])
 '(xterm-color-names-bright
   ["#fdf6e3" "#cb4b16" "#93a1a1" "#839496" "#657b83" "#6c71c4" "#586e75" "#002b36"]))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )
